// pages/message/message.js
const app = getApp()
const host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.showLoading({
      title: '',
    })
    this.setData({
      openid: app.globalData.openid
    })
    this.getData()
  },  
  getData:function(){
    wx.request({
      url: host+'/api/wx/notice',
      header: {
        openid: this.data.openid
      },
      success:res=>{
        wx.hideLoading()
        if (res.statusCode == 403) {
          this.save()
        } else {
          this.setData({
            list:res.data.data
          })
        }
      }
    })
  },
  save: function () {
    var _this = this
    wx.showLoading({
      title: '正在登录',
    })
    wx.getStorage({
      key: 'userInfo',
      success: function (res) {
        console.log(res)
        wx.request({
          url: host + '/api/wx/auth',
          method: 'POST',
          data: {
            nickname: res.data.nickName,
            avatar: res.data.avatarUrl,
            openid: app.globalData.openid,
          },
          success: res => {
            wx.hideLoading()
            _this.getData();

          }
        })
      },
    })

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})